org.eclipse.jgit.revwalk

## Class FooterLine

- java.lang.Object
- - org.eclipse.jgit.revwalk.FooterLine

    public final class FooterLine
    extends Object

Single line at the end of a message, such as a "Signed-off-by: someone".

These footer lines tend to be used to represent additional information about a commit, like the path it followed through reviewers before finally being accepted into the project's main repository as an immutable commit.

See Also:
  `RevCommit.getFooterLines()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getEmailAddress()` Extract the email address (if present) from the footer.
`String` `getKey()`
`String` `getValue()`
`boolean` `matches(FooterKey key)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### matches

    public boolean matches(FooterKey key)

Parameters:
  `key` - key to test this line's key name against.
Returns:
  true if `key.getName().equalsIgnorecase(getKey())`.

#### getKey

    public String getKey()

Returns:
  key name of this footer; that is the text before the ":" on the line footer's line. The text is decoded according to the commit's specified (or assumed) character encoding.

#### getValue

    public String getValue()

Returns:
  value of this footer; that is the text after the ":" and any leading whitespace has been skipped. May be the empty string if the footer has no value (line ended with ":"). The text is decoded according to the commit's specified (or assumed) character encoding.

#### getEmailAddress

    public String getEmailAddress()

Extract the email address (if present) from the footer.

If there is an email address looking string inside of angle brackets (e.g. "<a@b>"), the return value is the part extracted from inside the brackets. If no brackets are found, then `getValue()` is returned if the value contains an '@' sign. Otherwise, null.

Returns:
  email address appearing in the value of this footer, or null.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`